Remote Server Configuration Files

A RemoteServerConfigurationFile is a configuration file (required for some Remote Server integrations, such as the Files.com Agent).

Download configuration file (required for some Remote Server integrations, such as the Files.com Agent)

Endpoint

GET/remote_servers/{id}/configuration_file

Return Object

RemoteServerConfigurationFile

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Remote Server ID.

Example Request

curl https://app.files.com/api/rest/v1/remote_servers/{id}/configuration_file.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "permission_set": "example",
  "private_key": "example",
  "subdomain": "example",
  "root": "C:\\Users\\",
  "node_name": "example",
  "follow_links": true,
  "prefer_protocol": "example",
  "dns": "example",
  "proxy_all_outbound": true,
  "endpoint_override": "example",
  "log_file": "example",
  "log_level": "example",
  "log_rotate_num": 1,
  "log_rotate_size": 1,
  "override_max_concurrent_jobs": 1,
  "graceful_shutdown_timeout": 1,
  "transfer_rate_limit": "example",
  "auto_update_policy": "example",
  "api_token": "example",
  "port": 1,
  "hostname": "example",
  "public_key": "example",
  "status": "example",
  "server_host_key": "example",
  "config_version": "example"
}

Post local changes, check in, and download configuration file (used by some Remote Server integrations, such as the Files.com Agent)

Endpoint

POST/remote_servers/{id}/configuration_file

Return Object

RemoteServerConfigurationFile

Authorization Requirement

No authentication required; you may call this endpoint without a key or session.

Request Parameters

ParameterDescription
id
int64
Required
Remote Server ID.
api_token
string
Files Agent API Token
permission_set
string
The permission set for the agent ['read_write', 'read_only', 'write_only']
root
string
The root directory for the agent
hostname
string
port
int64
Incoming port for files agent connections
status
string
either running or shutdown
config_version
string
agent config version
private_key
string
The private key for the agent
public_key
string
public key
server_host_key
string
subdomain
string
Files.com subdomain site name

Example Request

curl https://app.files.com/api/rest/v1/remote_servers/{id}/configuration_file.json \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{"api_token":"example","permission_set":"example","root":"C:\\Users\\","hostname":"example","port":1,"status":"example","config_version":"example","private_key":"example","public_key":"example","server_host_key":"example","subdomain":"example"}' \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "permission_set": "example",
  "private_key": "example",
  "subdomain": "example",
  "root": "C:\\Users\\",
  "node_name": "example",
  "follow_links": true,
  "prefer_protocol": "example",
  "dns": "example",
  "proxy_all_outbound": true,
  "endpoint_override": "example",
  "log_file": "example",
  "log_level": "example",
  "log_rotate_num": 1,
  "log_rotate_size": 1,
  "override_max_concurrent_jobs": 1,
  "graceful_shutdown_timeout": 1,
  "transfer_rate_limit": "example",
  "auto_update_policy": "example",
  "api_token": "example",
  "port": 1,
  "hostname": "example",
  "public_key": "example",
  "status": "example",
  "server_host_key": "example",
  "config_version": "example"
}

The RemoteServerConfigurationFile Object

Some of the endpoints above return a RemoteServerConfigurationFile object. The attributes of this object are listed below.

AttributeDescription
id
int64
The remote server ID of the agent
permission_set
string
The permission set for the agent ['read_write', 'read_only', 'write_only']
private_key
string
The private key for the agent
subdomain
string
Files.com subdomain site name
root
string
The root directory for the agent
node_name
string
Optional customer-facing name for this Agent installation
follow_links
boolean
Follow symlinks when traversing directories
prefer_protocol
string
Preferred network protocol ['udp', 'tcp'] (default udp)
dns
string
DNS lookup method ['auto','doh','system'] (default auto)
proxy_all_outbound
boolean
Proxy all outbound traffic through files.com proxy server
endpoint_override
string
Custom site endpoint URL
log_file
string
Log file name and location
log_level
string
Log level for the agent logs ['debug', 'info', 'warn', 'error', 'fatal'] (default info)
log_rotate_num
int64
Log route for agent logs. (default 5)
log_rotate_size
int64
Log route size in MB for agent logs. (default 20)
override_max_concurrent_jobs
int64
Maximum number of concurrent jobs (default 500)
graceful_shutdown_timeout
int64
Graceful shutdown timeout in seconds (default 15)
transfer_rate_limit
string
File transfer (upload/download) rate limit
<limit>-<period>, with the given periods:
* 'S': second
* 'M': minute
* 'H': hour
* 'D': day
Examples:
* 5 requests/second: '5-S'
* 10 requests/minute: '10-M'
* 1000 requests/hour: '1000-H'
* 2000 requests/day: '2000-D'
auto_update_policy
string
Auto update policy ['manual_trigger', 'critical_only', 'always', 'never'] (default always)
api_token
string
Files Agent API Token
port
int64
Incoming port for files agent connections
hostname
string
public_key
string
public key
status
string
either running or shutdown
server_host_key
string
config_version
string
agent config version

Example RemoteServerConfigurationFile Object

{
  "id": 1,
  "permission_set": "example",
  "private_key": "example",
  "subdomain": "example",
  "root": "C:\\Users\\",
  "node_name": "example",
  "follow_links": true,
  "prefer_protocol": "example",
  "dns": "example",
  "proxy_all_outbound": true,
  "endpoint_override": "example",
  "log_file": "example",
  "log_level": "example",
  "log_rotate_num": 1,
  "log_rotate_size": 1,
  "override_max_concurrent_jobs": 1,
  "graceful_shutdown_timeout": 1,
  "transfer_rate_limit": "example",
  "auto_update_policy": "example",
  "api_token": "example",
  "port": 1,
  "hostname": "example",
  "public_key": "example",
  "status": "example",
  "server_host_key": "example",
  "config_version": "example"
}